OpenCV: cv::AVIWriteContainer Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::AVIWriteContainer Class Reference

`#include "container_avi.private.hpp"`

## Public Member Functions
| AVIWriteContainer ()
| ~AVIWriteContainer ()
size_t | atFrameSize (size_t i) const
size_t | countFrameSize () const
void | endWriteChunk ()
void | finishWriteAVI ()
int | getAVIIndex (int stream_number, StreamType strm_type)
int | getChannels () const
int | getHeight () const
size_t | getMoviPointer () const
size_t | getStreamPos () const
int | getWidth () const
bool | initContainer (const String &filename, double fps, Size size, bool iscolor)
bool | isEmptyFrameOffset () const
bool | isEmptyFrameSize () const
bool | isOpenedStream () const
void | jflushStream (unsigned currval, int bitIdx)
void | jputStream (unsigned currval)
void | jputStreamShort (int val)
void | pushFrameOffset (size_t elem)
void | pushFrameSize (size_t elem)
void | putStreamByte (int val)
void | putStreamBytes (const uchar *buf, int count)
void | startWriteAVI (int stream_count)
void | startWriteChunk (int fourcc)
void | writeIndex (int stream_number, StreamType strm_type)
void | writeStreamHeader (Codecs codec_)

## Constructor & Destructor Documentation

## ◆ AVIWriteContainer()

cv::AVIWriteContainer::AVIWriteContainer | ( |  | ) |

## ◆ ~AVIWriteContainer()

cv::AVIWriteContainer::~AVIWriteContainer | ( |  | ) |

## Member Function Documentation

## ◆ atFrameSize()

size_t cv::AVIWriteContainer::atFrameSize | ( | size_t | i | ) | const
| inline

## ◆ countFrameSize()

size_t cv::AVIWriteContainer::countFrameSize | ( |  | ) | const
| inline

## ◆ endWriteChunk()

void cv::AVIWriteContainer::endWriteChunk | ( |  | ) |

## ◆ finishWriteAVI()

void cv::AVIWriteContainer::finishWriteAVI | ( |  | ) |

## ◆ getAVIIndex()

int cv::AVIWriteContainer::getAVIIndex | ( | int | stream_number,
|  | StreamType | strm_type
| ) |  |

## ◆ getChannels()

int cv::AVIWriteContainer::getChannels | ( |  | ) | const
| inline

## ◆ getHeight()

int cv::AVIWriteContainer::getHeight | ( |  | ) | const
| inline

## ◆ getMoviPointer()

size_t cv::AVIWriteContainer::getMoviPointer | ( |  | ) | const
| inline

## ◆ getStreamPos()

size_t cv::AVIWriteContainer::getStreamPos | ( |  | ) | const

## ◆ getWidth()

int cv::AVIWriteContainer::getWidth | ( |  | ) | const
| inline

## ◆ initContainer()

bool cv::AVIWriteContainer::initContainer | ( | const String & | filename,
|  | double | fps,
|  | Size | size,
|  | bool | iscolor
| ) |  |

## ◆ isEmptyFrameOffset()

bool cv::AVIWriteContainer::isEmptyFrameOffset | ( |  | ) | const
| inline

## ◆ isEmptyFrameSize()

bool cv::AVIWriteContainer::isEmptyFrameSize | ( |  | ) | const
| inline

## ◆ isOpenedStream()

bool cv::AVIWriteContainer::isOpenedStream | ( |  | ) | const

## ◆ jflushStream()

void cv::AVIWriteContainer::jflushStream | ( | unsigned | currval,
|  | int | bitIdx
| ) |  |

## ◆ jputStream()

void cv::AVIWriteContainer::jputStream | ( | unsigned | currval | ) |

## ◆ jputStreamShort()

void cv::AVIWriteContainer::jputStreamShort | ( | int | val | ) |

## ◆ pushFrameOffset()

void cv::AVIWriteContainer::pushFrameOffset | ( | size_t | elem | ) |
| inline

## ◆ pushFrameSize()

void cv::AVIWriteContainer::pushFrameSize | ( | size_t | elem | ) |
| inline

## ◆ putStreamByte()

void cv::AVIWriteContainer::putStreamByte | ( | int | val | ) |

## ◆ putStreamBytes()

void cv::AVIWriteContainer::putStreamBytes | ( | const uchar * | buf,
|  | int | count
| ) |  |

## ◆ startWriteAVI()

void cv::AVIWriteContainer::startWriteAVI | ( | int | stream_count | ) |

## ◆ startWriteChunk()

void cv::AVIWriteContainer::startWriteChunk | ( | int | fourcc | ) |

## ◆ writeIndex()

void cv::AVIWriteContainer::writeIndex | ( | int | stream_number,
|  | StreamType | strm_type
| ) |  |

## ◆ writeStreamHeader()

void cv::AVIWriteContainer::writeStreamHeader | ( | Codecs | codec_ | ) |

The documentation for this class was generated from the following file:

- videoio/include/opencv2/videoio/container_avi.private.hpp